[arch-commits] CVS update of extra/lib/ndesk-dbus-glib (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Dec 11 15:16:54 EST 2007


    Date: Tuesday, December 11, 2007 @ 15:16:54
  Author: jgc
    Path: /home/cvs-extra/extra/lib/ndesk-dbus-glib

   Added: PKGBUILD (1.1)

upgpkg: ndesk-dbus-glib 0.4.1-1
Add new dependency for F-Spot and others


----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)


Index: extra/lib/ndesk-dbus-glib/PKGBUILD
diff -u /dev/null extra/lib/ndesk-dbus-glib/PKGBUILD:1.1
--- /dev/null	Tue Dec 11 15:16:54 2007
+++ extra/lib/ndesk-dbus-glib/PKGBUILD	Tue Dec 11 15:16:54 2007
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD,v 1.1 2007/12/11 20:16:54 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: tardo <tardo at nagi-fanboi.net>
+
+pkgname=ndesk-dbus-glib
+pkgver=0.4.1
+pkgrel=1
+pkgdesc="C# GLib implementation of D-Bus"
+arch=('i686' 'x86_64')
+url="http://www.ndesk.org/DBusSharp"
+license=('custom')
+depends=('ndesk-dbus>=0.6')
+makedepends=('pkgconfig')
+options=(!makeflags)
+source=(http://www.ndesk.org/archive/dbus-sharp/$pkgname-$pkgver.tar.gz)
+md5sums=('7faf8770b214956fa9de009def550826')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  export MONO_SHARED_DIR="${startdir}/src/.wabi"
+  mkdir -p "${MONO_SHARED_DIR}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+  install -D COPYING $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+}




More information about the arch-commits mailing list